<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>task 23</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>

<body>
    <h1>xuất file excel </h1>
    <br><br><br>
    <button id="btn-excel"> Tải file excel từ hệ thống</button>

</body>
<script>
    "use strict"

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        console.log("da load xong body ");
        $("#btn-excel").on("click", nutXuatExcelClick);
    });


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function nutXuatExcelClick() {
        console.log("da ấn xuất excel ");
        $.ajax({
            url: "http://localhost:8080/customers/export/customers/excel",
            method: "GET",
            xhrFields: {
                responseType: 'blob' // chỉ định kiểu dữ liệu nhận về là blob
            },
            success: function (blob) {
                var a = document.createElement('a');
                var url = window.URL.createObjectURL(blob);
                a.href = url;
                a.download = 'customers.xlsx'; // đặt tên file tải về
                a.click();
                window.URL.revokeObjectURL(url);
            }

        });
    }



    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/


</script>